Subject: Re: bug#51886: 29.0.50; pixel-scroll-mode garbage collects like crazy

From: Po Lu <[email-masked]>
Date: Wed, 21 Sep 2022 18:50:31 +0800

Stefan Kangas <[email-masked]> writes:

> It still isn't clear to me why it doesn't just replace the old mode (if
> we need to keep it, why not name it `pixel-scroll-old-mode'?).  Maybe
> I'm missing something.

I think Eli preferred to keep the old mode.

> "Device: A..... G3"

Did you censor some information with the periods, or is that literally
what was printed?

> BTW, is it expected that it ignores the first scroll on the mouse wheel,
> and prints the above only on the second?  (Tested in both directions.)

Yes, that's a limitation of the X API.  Emacs needs to swallow an
initial event in order to obtain the "initial" value of the scroll
wheel, before it can obtain scroll deltas by comparing it with the
absolute values of subsequent events.

Thanks.